# vkCmdSetCheckpointNV(3) Manual Page

## Name

vkCmdSetCheckpointNV - Insert diagnostic checkpoint in command stream

Loading… please wait.

## C Specification

Device diagnostic checkpoints are inserted into the command stream by calling vkCmdSetCheckpointNV.

    // Provided by VK_NV_device_diagnostic_checkpoints
    void vkCmdSetCheckpointNV(
        VkCommandBuffer                             commandBuffer,
        const void*                                 pCheckpointMarker);

## Parameters

- `commandBuffer` is the command buffer that will receive the marker

- `pCheckpointMarker` is an opaque application-provided value that will be associated with the checkpoint.

## Description

Valid Usage (Implicit)

- VUID-vkCmdSetCheckpointNV-commandBuffer-parameter
  `commandBuffer` must be a valid VkCommandBuffer handle

- VUID-vkCmdSetCheckpointNV-commandBuffer-recording
  `commandBuffer` must be in the recording state

- VUID-vkCmdSetCheckpointNV-commandBuffer-cmdpool
  The `VkCommandPool` that `commandBuffer` was allocated from must support graphics, compute, or transfer operations

- VUID-vkCmdSetCheckpointNV-videocoding
  This command must only be called outside of a video coding scope

Host Synchronization

- Host access to `commandBuffer` must be externally synchronized

- Host access to the `VkCommandPool` that `commandBuffer` was allocated from must be externally synchronized

Command Properties

Command Buffer Levels | Render Pass Scope | Video Coding Scope | Supported Queue Types | Command Type
--- | --- | --- | --- | ---
Primary Secondary | Both | Outside | Graphics Compute Transfer | Action

## See Also

VK_NV_device_diagnostic_checkpoints, VkCommandBuffer

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright 2014-2025 The Khronos Group Inc.

SPDX-License-Identifier: CC-BY-4.0